Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions

# WindowHandle Class Reference

This object represents a window on the desktop, not necessarily a Panda window. More...

Inheritance diagram for WindowHandle:

List of all members.

## Classes
class | OSHandle
## Public Member Functions
| WindowHandle (WindowHandle const copy)
| WindowHandle (OSHandle os_handle)
unsigned int | getIntHandle ()
| Returns the OS-specific handle converted to an integer, if this is possible for the particular representation.
OSHandle | getOsHandle ()
| Returns the OS-specific handle stored internally to the WindowHandle wrapper.
| output (ostream out)
| sendWindowsMessage (unsigned int msg, int wparam, int lparam)
| Call this method on a parent WindowHandle to deliver a Windows message to the current child window, if any.
| setOsHandle (OSHandle os_handle)
| Changes the OS-specific handle stored internally to the WindowHandle wrapper.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This object represents a window on the desktop, not necessarily a Panda window.

This structure can be assigned to a WindowProperties to indicate a parent window.

It also has callbacks so the Panda window can communicate with its parent window, which is particularly important when running embedded in a browser.

To create a WindowHandle, you would usually call one of the NativeWindowHandle.make_*() methods, depending on the kind of native window handle object you already have.

## Constructor & Destructor Documentation

WindowHandle | ( | WindowHandle const | copy | ) |

WindowHandle | ( | OSHandle | os_handle | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

Reimplemented in NativeWindowHandle.

unsigned int getIntHandle | ( |  | ) |

Returns the OS-specific handle converted to an integer, if this is possible for the particular representation.

Returns 0 if it is not.

OSHandle getOsHandle | ( |  | ) |

Returns the OS-specific handle stored internally to the WindowHandle wrapper.

output | ( | ostream | out | ) |

sendWindowsMessage | ( | unsigned int | msg,
|  | int | wparam,
|  | int | lparam
| ) |  |

Call this method on a parent WindowHandle to deliver a Windows message to the current child window, if any.

This is used in the web plugin system to deliver button events detected directly by the browser system into Panda, which is particularly necessary on Vista.

setOsHandle | ( | OSHandle | os_handle | ) |

Changes the OS-specific handle stored internally to the WindowHandle wrapper.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties